<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="NOTIFICATION-SETTINGS">
		<script language="javascript">
			var selectedIssueId = '<xsl:value-of select="COMMON-ISSUE/@NAME"/>'; 
		
			function selectIssue(id) {
				document.getElementById(selectedIssueId).style.display = 'none';
				document.getElementById(id).style.display = 'block';
				if (id != '<xsl:value-of select="COMMON-ISSUE/@NAME"/>') {
					eval('Init_Wysiwyg_'+id+'()');
				}
				selectedIssueId = id;
			}
		</script>
		<table border="0" style="width:100%;" class="sb-page">
			<tr>
				<td><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SELECT-ISSUE"/></td>
			</tr>
			<tr>
				<td>
					<select name="issue" class="sb-control-input-input" onchange="selectIssue(this.value);">
						<option>
							<xsl:attribute name="value"><xsl:value-of select="COMMON-ISSUE/@NAME"/></xsl:attribute>
							<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/COMMON-ISSUE"/>
						</option>
						<option>
							<xsl:attribute name="value"><xsl:value-of select="SIGNUP-ISSUE/@NAME"/></xsl:attribute>
							<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SIGN-UP-ISSUE"/>
						</option>
						<option>
							<xsl:attribute name="value"><xsl:value-of select="FORGET-PASSWORD-ISSUE/@NAME"/></xsl:attribute>
							<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/FORGET-PASSWORD-ISSUE"/>
						</option>
					</select>
				</td>
			</tr>
			<tr>
				<td style="padding-top: 50px;">
					<div>
						<xsl:attribute name="id"><xsl:value-of select="COMMON-ISSUE/@NAME"/></xsl:attribute>
						<xsl:apply-templates select="COMMON-ISSUE"/>
					</div>
					<div style="display: none;">
						<xsl:attribute name="id"><xsl:value-of select="SIGNUP-ISSUE/@NAME"/></xsl:attribute>
						<xsl:apply-templates select="SIGNUP-ISSUE"/>
					</div>
					<div style="display: none;">
						<xsl:attribute name="id"><xsl:value-of select="FORGET-PASSWORD-ISSUE/@NAME"/></xsl:attribute>
						<xsl:apply-templates select="FORGET-PASSWORD-ISSUE"/>
					</div>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template match="COMMON-ISSUE">
		<table border="0" style="width:100%;" class="sb-page">
			<tr>
				<td style="width:30%;">
					<span><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/FROM-NAME"/></span>
				</td>
				<td style="width:70%;">
					<input name="fromName" type="text"  class="sb-control-input-input" onchange="self.sbApplyChangesObject.registerChange()" autocomplete="off">
						<xsl:attribute name="value"><xsl:value-of select="@FROM-NAME"/></xsl:attribute>
					</input>
				</td>
			</tr>		
			<tr>
				<td style="width:30%;">
					<span><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/FROM-EMAIL"/></span>
				</td>
				<td style="width:70%;">
					<input name="fromEmail" type="text"  class="sb-control-input-input" onchange="self.sbApplyChangesObject.registerChange()" autocomplete="off">
						<xsl:attribute name="value"><xsl:value-of select="@FROM-EMAIL"/></xsl:attribute>
					</input>
				</td>
			</tr>		
		</table>
	</xsl:template>
	
	<xsl:template match="SIGNUP-ISSUE">
		<table border="0" style="width:100%;" class="sb-page">
			<tr>
				<td style="width:30%;">
					<span><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SIGN-UP-EMAIL-SUBJECT"/></span>
				</td>
				<td style="width:70%;">
					<input name="{@NAME}" type="text"  class="sb-control-input-input" onchange="self.sbApplyChangesObject.registerChange()" autocomplete="off">
						<xsl:attribute name="value"><xsl:value-of select="@SUBJECT"/></xsl:attribute>
					</input>
				</td>
			</tr>		
			<tr>
				<td colspan="2">
					<span><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/SIGN-UP-EMAIL-MESSAGE"/></span>
				</td>
			</tr>		
			<tr>
				<td colspan="2">
					<xsl:apply-templates select="WYSIWYG">
						<xsl:with-param name="id"><xsl:value-of select="@NAME"/></xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>		
		</table>	
	</xsl:template>

	<xsl:template match="FORGET-PASSWORD-ISSUE">
		<table border="0" style="width:100%;" class="sb-page">
			<tr>
				<td style="width:30%;">
					<span><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/FORGET-PASSWORD-EMAIL-SUBJECT"/></span>
				</td>
				<td style="width:70%;">
					<input name="{@NAME}" type="text"  class="sb-control-input-input" onchange="self.sbApplyChangesObject.registerChange()" autocomplete="off">
						<xsl:attribute name="value"><xsl:value-of select="@SUBJECT"/></xsl:attribute>
					</input>
				</td>
			</tr>		
			<tr>
				<td colspan="2">
					<span><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/FORGET-PASSWORD-EMAIL-MESSAGE"/></span>
				</td>
			</tr>		
			<tr>
				<td colspan="2">
					<xsl:apply-templates select="WYSIWYG">
						<xsl:with-param name="id"><xsl:value-of select="@NAME"/></xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>		
		</table>	
	</xsl:template>

	<xsl:template match="WYSIWYG[@MODE='emailNotification']">
		<xsl:param name="id" />
		<xsl:variable name="Wysiwyg">
			<xsl:text>Wysiwyg_</xsl:text><xsl:value-of select="$id"/>
		</xsl:variable>
		<xsl:variable name="WysiwygIniter">
			<xsl:text>Init_</xsl:text>
			<xsl:value-of select="$Wysiwyg"/>
		</xsl:variable>
		<script type="text/javascript" src="/js/Modules/Wysiwyg/fckeditor.js?{$version}.{$build}"></script>
		<script language="JavaScript" type="text/javascript">
		 	function <xsl:value-of select="$WysiwygIniter"/>() {
		 		if (!<xsl:value-of select="$Wysiwyg"/>) {
		 		<xsl:value-of select="$Wysiwyg"/>=new FCKeditor('<xsl:value-of select="$Wysiwyg"/>');
		 			<xsl:value-of select="$Wysiwyg"/>.BasePath = '/js/Modules/Wysiwyg/';
		 			<xsl:value-of select="$Wysiwyg"/>.Config["CustomConfigurationsPath"] = "/js/Modules/Wysiwyg/config/LoginNotification.js?<xsl:value-of select="$version"/>.<xsl:value-of select="$build"/>";
					<xsl:value-of select="$Wysiwyg"/>.ToolbarSet="moduleNotification";
					<xsl:value-of select="$Wysiwyg"/>.Config["DefaultLanguage"]="<xsl:value-of select="@LANGUAGE"/>";
					<xsl:value-of select="$Wysiwyg"/>.Config["Version"]="<xsl:value-of select="$version"/>.<xsl:value-of select="$build"/>";
					<xsl:value-of select="$Wysiwyg"/>.ReplaceTextarea();
				}
			}
			<xsl:value-of select="$Wysiwyg"/>=null;
		</script>
		<textarea id="{$Wysiwyg}" name="{@NAME}" style="border-width: 0px;"><xsl:value-of select="CONTENT"/></textarea>
	</xsl:template>		
	
	</xsl:stylesheet>	